%define name            jlex
%define version         1.2.6
%define release         4.2
%define section		free
%define gcj_support	1

Name:           %{name}
Version:        %{version}
Release:        %mkrel %{release}
Epoch:		0
Summary:        A Lexical Analyzer Generator for Java
License:        BSD-style
Group:          Development/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0:        http://www.cs.princeton.edu/~appel/modern/java/JLex/Archive/1.2.5/Main.java
Source1:        %{name}-%{version}.build.xml
Patch0:         %{name}-%{version}.static.patch.bz2
URL:            http://www.cs.princeton.edu/~appel/modern/java/JLex/
BuildRequires:  ant
BuildRequires:  jpackage-utils > 0:1.5
BuildRequires:  sed
%if %{gcj_support}
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JLex is a Lexical Analyzer Generator for Java.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c -T
cp %{SOURCE0} .
%patch0 -p0
cp %{SOURCE1} build.xml

%build
%ant

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root,-)
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}


%changelog
* Thu Mar 15 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.2.6-4.2mdv2007.1
+ Revision: 144246
- rebuild for 2007.1
- Import jlex



* Sat Jul 22 2006 David Walluck <walluck@mandriva.org> 0:1.2.6-4.1mdv2007.0
- bump release

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.2.6-2.2mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Mon May 09 2005 David Walluck <walluck@mandriva.org> 0:1.2.6-2.1mdk
- release

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1.2.6-2jpp
- Rebuild with ant-1.6.2

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org > 1.2.6-1jpp
- for jpackage-utils 1.5

* Tue Aug 20 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.5-5jpp
- Use the Xalan/XSLTC version (backwards-compatible with the official one).
- Renamed jar to jlex.jar (was JLex.jar).
- Some spec cleanup.

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.5-4jpp
- fixed source perls

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.5-3jpp
- renamed to %{name}
- section macro
- bzipped additional sources

* Wed Jun 26 2002 Henri Gomez <hgomez@slib.fr> 1.2.5-2jpp
- removed JLex build dir

* Wed Jun 26 2002 Henri Gomez <hgomez@slib.fr> 1.2.5-1jpp
- first JPackage release
